Subject: Re: [PATCH 1/1] Honor $(prefix) set in config.mak* when defining ETC_GIT* and sysconfdir

From: Johannes Sixt <[email-masked]>
Date: Thu, 05 May 2011 07:58:24 +0200

Am 5/5/2011 4:26, schrieb Junio C Hamano:
> Junio C Hamano <[email-masked]> writes:
> 
>> So I think it would probably be a less-impact and useful solution to keep
>> sysconfdir and add "sysconfdir = @sysconfdir@" to config.mak.in as well.
>>
>> Is Kacper's latest patch with an obvious one-liner to config.mak.in
>> sufficient to achieve that?
>>
>>   From: Kacper Kornet <[email-masked]>
>>   Subject: Re: [PATCH 1/1] Honor $(prefix) set in config.mak* when defin...
>>   Date: Wed, 4 May 2011 16:29:21 +0200
>>   Message-ID: <[email-masked]>
> 
> In other words, this one on top of the above (which defaults sysconfdir
> to /etc when $(prefix) is /usr and then sets git_etcdir to $(sysconfdir)).
> 
> -- >8 --
> Subject: [PATCH] config.mak.in: allow "configure --sysconfdir=/else/where"
> 
> We do allow vanilla Makefile users to say make sysconfdir=/else/where
> and config.mak can also be tweaked manually for the same effect. Give
> the same configurablity to ./configure users as well.
> 
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---
>  config.mak.in |    1 +
>  1 files changed, 1 insertions(+), 0 deletions(-)
> 
> diff --git a/config.mak.in b/config.mak.in
> index 9614973..dd8f274 100644
> --- a/config.mak.in
> +++ b/config.mak.in
> @@ -18,6 +18,7 @@ bindir = @bindir@
>  gitexecdir = @libexecdir@/git-core
>  datarootdir = @datarootdir@
>  template_dir = @datadir@/git-core/templates
> +sysconfdir = @sysconfdir@
>  
>  mandir=@mandir@
>  

No, that's not sufficient. Notice that $(sysconfdir) is used for ETC_GIT*
variables *only* if $(prefix) == /usr (both before and after Kacper's
patch). Therefore, you won't gain a lot of configurability via sysconfdir;
you have to change ETC_GIT* variables directly.

I'm not opposed to keep sysconfdir at all if it gains a useful purpose
like with the oneliner above. But extra work is needed in Makefile; if
this doesn't materialize, I suggest you back out Kacper's patch from 'next'.

-- Hannes